Bug 996067 - (kcron) Review Request: kcron - Cron KDE configuration module
Review Request: kcron - Cron KDE configuration module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.11
  Show dependency treegraph
 
Reported: 2013-08-12 06:57 EDT by Martin Bříza
Modified: 2013-09-15 19:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 10:24:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Bříza 2013-08-12 06:57:59 EDT
Spec URL: http://mbriza.fedorapeople.org/kdeadmin/kcron.spec
SRPM URL: http://mbriza.fedorapeople.org/kdeadmin/kcron-4.10.97-1.fc19.src.rpm
Description: Systemsettings module for the cron task scheduler.
Fedora Account System Username: mbriza
Comment 1 Martin Bříza 2013-08-19 11:10:48 EDT
Spec URL: http://mbriza.fedorapeople.org/kdeadmin/kcron.spec
SRPM URL: http://mbriza.fedorapeople.org/kdeadmin/kcron-4.10.97-1.fc19.src.rpm

Updated:
doc
desktop file check
Comment 2 Jan Grulich 2013-08-21 04:05:59 EDT
Better url → https://projects.kde.org/projects/kde/kdeadmin/kcron

Wrong path for kcm_cron.desktop in %files, see: 
/builddir/build/BUILDROOT/kcron-4.10.97-1.fc20.i386//usr/share/applications/kde4/kcm_cron.desktop: file does not exist
but
Installing: /builddir/build/BUILDROOT/kcron-4.10.97-1.fc20.i386/usr/share/kde4/services/kcm_cron.desktop
Comment 3 Jan Grulich 2013-08-21 04:12:39 EDT
Sorry, not in %files, but in %check and you have COYPING instead of COPYING in %doc.
Comment 4 Martin Bříza 2013-08-21 07:34:16 EDT
Spec URL: http://mbriza.fedorapeople.org/kdeadmin/kcron.spec
SRPM URL: http://mbriza.fedorapeople.org/kdeadmin/kcron-4.10.97-1.fc19.src.rpm

Updated:
paths
removed desktop file check, the file will only be used by kde which should handle having Exec line in a Service type file.
Comment 5 Martin Bříza 2013-08-21 09:36:00 EDT
Fixed the URL now, too, URLs stay the same.
Comment 6 Jan Grulich 2013-08-22 09:03:59 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in kcron
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/jgrulich/rpmbuild/996067-kcron/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 174080 bytes in 8 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Jan Grulich <jgrulich@redhat.com> Found : Vendor:
     jgrulich
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kcron-4.10.97-1.fc20.i686.rpm
kcron.i686: W: spelling-error Summary(en_US) Cron -> Creon, Iron, Tron
kcron.i686: W: spelling-error %description -l en_US Systemsettings -> System settings, System-settings, Systematization
kcron.i686: W: spelling-error %description -l en_US cron -> corn, con, crone
kcron.i686: W: obsolete-not-provided kdeadmin
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Now it's okay, all the issues above are not valid. APPROVED
Comment 7 Martin Bříza 2013-08-27 04:24:56 EDT
New Package SCM Request
=======================
Package Name: kcron
Short Description: Cron KDE configuration module
Owners: mbriza than rdieter kkofler ltinkl jgrulich dvratil
Branches: f18 f19 f20
InitialCC:
Comment 8 Gwyn Ciesla 2013-08-27 08:21:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.